using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _02Trade
{
    public partial class ДобавлниеК : Form
    {
        public ДобавлниеК()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            clientServiceBindingSource.AddNew();

        }

        private void clientServiceBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.clientServiceBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this._02TradeDataSet);

        }

        private void ДобавлниеК_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_02TradeDataSet.ClientService". При необходимости она может быть перемещена или удалена.
            this.clientServiceTableAdapter.Fill(this._02TradeDataSet.ClientService);

        }

        private void button2_Click(object sender, EventArgs e)
        {
            clientServiceBindingSource.RemoveCurrent();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.clientServiceTableAdapter.Update(this._02TradeDataSet.ClientService);
        }

        private void button4_Click(object sender, EventArgs e)
        {
           ДобавлениеКлиента form1 = new ДобавлениеКлиента();
            form1.Show();
            this.Hide();
        }
    }
}
